let app=getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    indicatorDots: false,
    autoplay: false,
    interval: 5000,
    duration: 1000,
    idDes:'',
    data:{},
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    let that=this;
    console.log(options);
    if (options.idDes){
      that.setData({
        idDes: decodeURIComponent(options.idDes)
      })
    }
    // that.setData({
    //   idDes: decodeURIComponent("TZxMkiL1iIY%3D%0A")
    // })
    that.getData();

  },
  goUrl(e) {
    console.log(e)
    let item = e.currentTarget.dataset.item;
    wx.navigateTo({
      url: '/pages/local/TicketOrder/TicketOrder?idDes=' + encodeURIComponent(item.idDes),
    })
  },
  getData(){
    app.$apiJavaNew('/api/b2b/scenic/getTicketCouponsInfo', { idDes: this.data.idDes}).then(res => {
     
      this.setData({
        data:res
      })
     

    }).catch(err => { })
  },
  goScroll(){
    wx.pageScrollTo({
      scrollTop: 0
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})